Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.xml
Class XmlUtilsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.xml.XmlUtilsException

All Implemented Interfaces:
  Serializable

    public class XmlUtilsException

extends Exception

Exception for Transformation runtime exceptions.

See Also:
  Serialized Form

Field Summary
`static int` | `INSTANCE_CREATION`
`static int` | `INTERNAL_ERROR`
`static int` | `IO_ERROR`
`static int` | `MISSING_SYSTEM_ID`
`static int` | `NO_CODE_MSG` error codes
`static int` | `XML_ERROR`

Constructor Summary
`XmlUtilsException(int code)` constructors for system defined exceptions
`XmlUtilsException(int code, Object param)`
`XmlUtilsException(int code, Object[] params)`
`XmlUtilsException(int code, Object[] params, Throwable cause)`
`XmlUtilsException(int code, Object param1, Object param2)`
`XmlUtilsException(int code, Object param1, Object param2, Throwable cause)`
`XmlUtilsException(int code, Object param, Throwable cause)`
`XmlUtilsException(int code, Throwable cause)`
`XmlUtilsException(String message)` constructors for user defined exceptions
`XmlUtilsException(String message, Object param)`
`XmlUtilsException(String message, Object[] params)`
`XmlUtilsException(String message, Object[] params, Throwable cause)`
`XmlUtilsException(String message, Object param1, Object param2)`
`XmlUtilsException(String message, Object param1, Object param2, Throwable cause)`
`XmlUtilsException(String message, Object param, Throwable cause)`
`XmlUtilsException(String message, Throwable cause)`

Method Summary
`String` | `getMessage()` exception message

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_CODE_MSG

    public static final int NO_CODE_MSG

  error codes

  See Also:
    Constant Field Values

### INSTANCE_CREATION

    public static final int INSTANCE_CREATION

See Also:
  Constant Field Values

### INTERNAL_ERROR

    public static final int INTERNAL_ERROR

See Also:
  Constant Field Values

### IO_ERROR

    public static final int IO_ERROR

See Also:
  Constant Field Values

### XML_ERROR

    public static final int XML_ERROR

See Also:
  Constant Field Values

### MISSING_SYSTEM_ID

    public static final int MISSING_SYSTEM_ID

See Also:
  Constant Field Values

Constructor Detail

### XmlUtilsException

    public XmlUtilsException(String message)

  constructors for user defined exceptions

### XmlUtilsException

    public XmlUtilsException(String message,
                             Object param)

### XmlUtilsException

    public XmlUtilsException(String message,
                             Object param1,
                             Object param2)

### XmlUtilsException

    public XmlUtilsException(String message,
                             Object[] params)

### XmlUtilsException

    public XmlUtilsException(String message,
                             Throwable cause)

### XmlUtilsException

    public XmlUtilsException(String message,
                             Object param,
                             Throwable cause)

### XmlUtilsException

    public XmlUtilsException(String message,
                             Object param1,
                             Object param2,
                             Throwable cause)

### XmlUtilsException

    public XmlUtilsException(String message,
                             Object[] params,
                             Throwable cause)

### XmlUtilsException

    public XmlUtilsException(int code)

  constructors for system defined exceptions

### XmlUtilsException

    public XmlUtilsException(int code,
                             Object param)

### XmlUtilsException

    public XmlUtilsException(int code,
                             Object param1,
                             Object param2)

### XmlUtilsException

    public XmlUtilsException(int code,
                             Object[] params)

### XmlUtilsException

    public XmlUtilsException(int code,
                             Throwable cause)

### XmlUtilsException

    public XmlUtilsException(int code,
                             Object param,
                             Throwable cause)

### XmlUtilsException

    public XmlUtilsException(int code,
                             Object param1,
                             Object param2,
                             Throwable cause)

### XmlUtilsException

    public XmlUtilsException(int code,
                             Object[] params,
                             Throwable cause)

Method Detail

### getMessage

    public String getMessage()

  exception message

  Overrides:
    `getMessage` in class `Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD